com.h3c.of.lib.msg

## Enum PortConfig

- java.lang.Object
- - java.lang.Enum<PortConfig>
  - - com.h3c.of.lib.msg.PortConfig

- All Implemented Interfaces:
    OfpBitmapEnum, OfpEnum, Serializable, Comparable<PortConfig>

      public enum PortConfig
      extends Enum<PortConfig>
      implements OfpBitmapEnum

  Indicates a port's behavior. Used in `Port` to describe the current configuration. Used in `OfmPortMod` messages to configure the port's behavior.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_FLOOD` Do not include this port when flooding; Since 1.0; Removed at 1.1.
    `NO_FWD` Drop packets forwarded to port; Since 1.0.
    `NO_PACKET_IN` Do not send packet-in messages for port; Since 1.0.
    `NO_RECV` Drop all packets received by port; Since 1.0.
    `NO_RECV_STP` Drop Received 802.1D STP packets; Since 1.0; Removed at 1.1.
    `NO_STP` Disable 802.1D spanning tree on port; Since 1.0; Removed at 1.1.
    `PORT_DOWN` Port is administratively down; Since 1.0.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBit(ProtocolVersion pv)` Returns the bit value for the constant, under the given protocol version.
    `String` | `toDisplayString()` Returns a string representation of this constant suitable for display.
    `String` | `toString()`
    `static PortConfig` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PortConfig[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PORT_DOWN

          public static final PortConfig PORT_DOWN

      Port is administratively down; Since 1.0.

    - #### NO_STP

          public static final PortConfig NO_STP

      Disable 802.1D spanning tree on port; Since 1.0; Removed at 1.1.

    - #### NO_RECV

          public static final PortConfig NO_RECV

      Drop all packets received by port; Since 1.0.

      In 1.0 the meaning of this value is: Drop all packets except 802.1D spanning tree packets.

    - #### NO_RECV_STP

          public static final PortConfig NO_RECV_STP

      Drop Received 802.1D STP packets; Since 1.0; Removed at 1.1.

    - #### NO_FLOOD

          public static final PortConfig NO_FLOOD

      Do not include this port when flooding; Since 1.0; Removed at 1.1.

    - #### NO_FWD

          public static final PortConfig NO_FWD

      Drop packets forwarded to port; Since 1.0.

    - #### NO_PACKET_IN

          public static final PortConfig NO_PACKET_IN

      Do not send packet-in messages for port; Since 1.0.

  - ### Method Detail

    - #### values

          public static PortConfig[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PortConfig c : PortConfig.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PortConfig valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBit

          public int getBit(ProtocolVersion pv)

      Description copied from interface: `OfpBitmapEnum`
      Returns the bit value for the constant, under the given protocol version.
      Specified by:
        `getBit` in interface `OfpBitmapEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the bit value for the constant

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<PortConfig>`

    - #### toDisplayString

          public String toDisplayString()

      Returns a string representation of this constant suitable for display. For example, `NO_PACKET_IN.toDisplayString()` returns:

             "No Packet-In"

      Specified by:
        `toDisplayString` in interface `OfpBitmapEnum`
      Returns:
        the display string

Copyright © 2014. All Rights Reserved.